Joltio Data / data.search

Search the Data catalog

Search the Data catalog.

POST /v1/data/search

Authentication
X-API-Key / Bearer
Formats
JSON
Rows per query
Not applicable

Parameters

NameTypeLocation
domainstringbody
qstringbody
facetsstringbody
values_ofobjectbody
limitintegerbody
offsetintegerbody
intentstringbody

Responses

200OK
401unauthorized: An API key or Bearer token is required.

curl

curl -X POST 'https://api.joltio.app/v1/data/search' -H 'X-API-Key: $JOLTIO_API_KEY' -H 'Content-Type: application/json' -d '{"q":"prices"}'

Python

from joltio import Client
import json
with Client() as j:
    result = j.post('/v1/data/search', json=json.loads('{"q":"prices"}'))

OpenAPI 3.1 · /data/openapi.json